AOZ Studio Beta - Bug #263

Sprite Col Bob Col
02/28/2020 01:39 PM - Anonymous

Status: Closed Start date: 02/28/2020

Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%

Category: Estimated time: 0:00 hour

Target version: 0.9.6.1

Affected version: 0.9.5.1

Description

Sprite Col and Bob Col do not appear to work

Related issues:

Is duplicate of AOZ Studio Beta - Bug #20: Bob Col(1) not doing anything Closed 01/18/2020

History

#1 - 02/29/2020 08:28 AM - Baptiste Pillot
- Related to Bug #20: Bob Col(1) not doing anything added

#2 - 02/29/2020 08:28 AM - Baptiste Pillot
- Related to deleted (Bug #20: Bob Col(1) not doing anything)

#3 - 02/29/2020 08:28 AM - Baptiste Pillot
- Is duplicate of Bug #20: Bob Col(1) not doing anything added

#4 - 02/29/2020 08:30 AM - Baptiste Pillot

- Assignee set to Francois Lionet

The same for me.
This little piece of code does not work for me :

Bob 1, 32, 32, 1
Bob 2, 40, 40, 1
If Bob Col (1)

Print "boom"
End If

Compilation : ok
Run : Internal error at line: 4, column: 1.

The line of code into application.js : if(!(this.aoz.sprites.bobCol(1,this.aoz.currentScreen,)))

Seems that this.aoz.sprites is undefined.

#5 - 03/07/2020 04:54 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.6.1

Fixed!

#6 - 03/10/2020 07:43 PM - Baptiste Pillot

- Status changed from Resolved to Closed

#7 - 03/10/2020 07:43 PM - Baptiste Pillot
Tested with this little code :

#splashScreen:false

04/17/2024

Console JS : "Cannot read property 'bobCol' of undefined at Application.blocks. (application.js:45)

1/2




Bob 1, 20, 20, 1

Bob 2, 24, 24, 1

Bob 3, 100, 100, 1

Print Bob Col(l) ' true
Print Bob Col (3) ' false

It seems good. | close.
